View Issue Details

IDProjectCategoryView StatusLast Update
1870Petro CalcGraphicsPublicJul 22nd 2024 3:45 PM
ReporterNBug Reporter Assigned To 
Priority NormalSeverityCrashReproducibilityHave Not Tried
Status ArchivedResolutionDuplicate 
ProjectionMinor FixETAAround 1 Day 
PlatformWin32NTOSMicrosoft Windows NT 6.2.9200.0OS Version6.2.9200.0
Product Version1.23.0.6 
Target Version1.23.2.0 
Summary1870: Cannot access a disposed object.
Object name: 'HDSPictureBox'. @ Void CreateHandle() @ System.Windows.Forms.Control
Description
<SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <ExtendedInformation>
    <ObjectName>HDSPictureBox</ObjectName>
    <HResult>-2146232798</HResult>
  </ExtendedInformation>
  <InnerExceptions />
  <Message>Cannot access a disposed object.
Object name: 'HDSPictureBox'.</Message>
  <Source>System.Windows.Forms</Source>
  <StackTrace>   at System.Windows.Forms.Control.CreateHandle()
   at System.Windows.Forms.Control.get_Handle()
   at System.Windows.Forms.Control.PointToScreen(Point p)
   at PetroCalc.frmMain.Draw_LogTracks(DrawLogPlotEnum avActiveLogPlot, Boolean avDrawLabels, Boolean avDrawBVTracks)</StackTrace>
  <TargetSite>Void CreateHandle() @ System.Windows.Forms.Control</TargetSite>
  <Type>System.ObjectDisposedException</Type>
</SerializableException>
Additional Information
<Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <GeneralInfo>
    <CLRVersion>4.0.30319.42000</CLRVersion>
    <DateTime>6/13/2024 5:40:15 PM</DateTime>
    <ExceptionMessage>Cannot access a disposed object.
Object name: 'HDSPictureBox'.</ExceptionMessage>
    <ExceptionType>System.ObjectDisposedException</ExceptionType>
    <HostApplication>HN32-PetroCalc.exe</HostApplication>
    <HostApplicationVersion>1.23.0.6</HostApplicationVersion>
    <NBugVersion>1.2.1.0</NBugVersion>
    <TargetSite>Void CreateHandle() @ System.Windows.Forms.Control</TargetSite>
  </GeneralInfo>
</Report>
TagsBug, Crash, Graphics, NBug, User Interface
Attached Files
Exception_133627740226158261.zip (6,696,896 bytes)

Zip Contents

  • Exception.xml (860 bytes)   
    <?xml version="1.0"?>
    <SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <ExtendedInformation>
        <ObjectName>HDSPictureBox</ObjectName>
        <HResult>-2146232798</HResult>
      </ExtendedInformation>
      <Message>Cannot access a disposed object.
    Object name: 'HDSPictureBox'.</Message>
      <Source>System.Windows.Forms</Source>
      <StackTrace>   at System.Windows.Forms.Control.CreateHandle()
       at System.Windows.Forms.Control.get_Handle()
       at System.Windows.Forms.Control.PointToScreen(Point p)
       at PetroCalc.frmMain.Draw_LogTracks(DrawLogPlotEnum avActiveLogPlot, Boolean avDrawLabels, Boolean avDrawBVTracks)</StackTrace>
      <TargetSite>Void CreateHandle() @ System.Windows.Forms.Control</TargetSite>
      <Type>System.ObjectDisposedException</Type>
    </SerializableException>
      
  • Report.xml (685 bytes)   
    <?xml version="1.0"?>
    <Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <GeneralInfo>
        <CLRVersion>4.0.30319.42000</CLRVersion>
        <DateTime>6/13/2024 5:40:22 PM</DateTime>
        <ExceptionMessage>Cannot access a disposed object.
    Object name: 'HDSPictureBox'.</ExceptionMessage>
        <ExceptionType>System.ObjectDisposedException</ExceptionType>
        <HostApplication>HN32-PetroCalc.exe</HostApplication>
        <HostApplicationVersion>1.23.0.6</HostApplicationVersion>
        <NBugVersion>1.2.1.0</NBugVersion>
        <TargetSite>Void CreateHandle() @ System.Windows.Forms.Control</TargetSite>
      </GeneralInfo>
    </Report>
      
  • MiniDump.mdmp (1,056,317 bytes)
  • files/HDS.Net.Info.lic (616 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>e3c64120-6067-4a5f-b5cc-13e9770a8094</Key>
      <IssueDate>2022-08-29T00:00:00</IssueDate>
      <ExpireDate>2026-05-25T00:00:00</ExpireDate>
      <IssuedTo>HDS Demo</IssuedTo>
      <Company>Hydrocarbon Data Systems, Inc.</Company>
      <IssuedBy>Hydrocarbon Data Systems, Inc. - Travis</IssuedBy>
      <Copies>2</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (1,346,914 bytes)
  • files/Data/BA79 RAS Run1 Sigma EDIThalf.mdb (3,985,408 bytes)
  • files/HDS.Net.Info.lic (616 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>e3c64120-6067-4a5f-b5cc-13e9770a8094</Key>
      <IssueDate>2022-08-29T00:00:00</IssueDate>
      <ExpireDate>2026-05-25T00:00:00</ExpireDate>
      <IssuedTo>HDS Demo</IssuedTo>
      <Company>Hydrocarbon Data Systems, Inc.</Company>
      <IssuedBy>Hydrocarbon Data Systems, Inc. - Travis</IssuedBy>
      <Copies>2</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (1,346,914 bytes)
  • files/Data/BA79 RAS Run1 Sigma EDIThalf.mdb (3,985,408 bytes)
  • files/HDS.Net.Info.lic (616 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>e3c64120-6067-4a5f-b5cc-13e9770a8094</Key>
      <IssueDate>2022-08-29T00:00:00</IssueDate>
      <ExpireDate>2026-05-25T00:00:00</ExpireDate>
      <IssuedTo>HDS Demo</IssuedTo>
      <Company>Hydrocarbon Data Systems, Inc.</Company>
      <IssuedBy>Hydrocarbon Data Systems, Inc. - Travis</IssuedBy>
      <Copies>2</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (1,346,914 bytes)
  • files/Data/BA79 RAS Run1 Sigma EDIThalf.mdb (3,985,408 bytes)
  • files/HDS.Net.Info.lic (616 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>e3c64120-6067-4a5f-b5cc-13e9770a8094</Key>
      <IssueDate>2022-08-29T00:00:00</IssueDate>
      <ExpireDate>2026-05-25T00:00:00</ExpireDate>
      <IssuedTo>HDS Demo</IssuedTo>
      <Company>Hydrocarbon Data Systems, Inc.</Company>
      <IssuedBy>Hydrocarbon Data Systems, Inc. - Travis</IssuedBy>
      <Copies>2</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (1,346,914 bytes)
  • files/Data/BA79 RAS Run1 Sigma EDIThalf.mdb (3,985,408 bytes)

Installation Type

Relationships

duplicate of 1867 AssignedTravis Herzog Refreshing the plot after the window has been closed causes ObjectDisposedException 

Activities